### Method

# Foundry ProcessLauncher set_pty_fd

#### Declaration [src]

    void
    foundry_process_launcher_set_pty_fd (
      FoundryProcessLauncher* self,
      int consumer_fd
    )

#### Description [src]

Sets up a PTY for the run context that will communicate with the consumer. The consumer is the generally the widget that is rendering the PTY contents and the producer is the FD that is connected to the subprocess.

#### Parameters

`consumer_fd`

  Type: `int`

  The FD of the PTY consumer.